Bug 215221 - Fedora can't receive files via bluetooth (but can send them)
Fedora can't receive files via bluetooth (but can send them)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 10:46 EST by Alberto Milone
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-15 06:24:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hcid.conf (1.22 KB, text/plain)
2007-03-06 21:43 EST, Derek
no flags Details
rfcomm.conf (314 bytes, text/plain)
2007-03-06 21:44 EST, Derek
no flags Details

  None (edit)
Description Alberto Milone 2006-11-12 10:46:38 EST
Description of problem:
Fedora can't receive files via bluetooth from my Nokia 6680 but can send files
to my phone with no problem whatsoever.

I have tried using gnome-bluetooth but it doesn't work. My Nokia can't find
Fedora (but it does it successfully in Ubuntu 6.10 and in other distros).

I have also tried installing and launching kdebluetooth but it didn't solve the
problem.

Version-Release number of selected component (if applicable):


How reproducible:
Try to send a file from your phone to Fedora via bluetooth.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I use KDE
Comment 1 Alberto Milone 2006-11-12 11:15:57 EST
I forgot to mention that I'm using bluez-utils version 3.7
Comment 2 Derek 2007-03-06 21:43:39 EST
Created attachment 149422 [details]
hcid.conf
Comment 3 Derek 2007-03-06 21:44:07 EST
Created attachment 149423 [details]
rfcomm.conf
Comment 4 Derek 2007-03-06 21:57:31 EST
I have a similar problem with bluez-gnome on FC6 (with all updates applied).

I use a USB bluetooth dongle on my PC. 

I would like to be able to browse the files on my phone from the PC.
Unfortunately, my Nokia 6230 phone cannot find my PC if I ask it to search and
pair with bluetooth devices. 

However, if I try to send a file from the phone via bluetooth, it does find my
PC! What does this mean??

I am using the Gnome-bluetooth manager in discoverable mode.

Any ideas??

-Derek

# hciconfig -a
hci0:   Type: USB
        BD Address: 00:0D:3C:20:89:A8 ACL MTU: 192:8 SCO MTU: 64:8
        UP RUNNING PSCAN 
        RX bytes:9521712 acl:58272 sco:0 events:23096 errors:0
        TX bytes:978661 acl:23570 sco:0 commands:422 errors:0
        Features: 0xff 0xff 0x0f 0x00 0x00 0x00 0x00 0x00
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
        Link policy: RSWITCH HOLD SNIFF PARK 
        Link mode: SLAVE ACCEPT 
        Name: 'boson.qmechanic.co.uk'
        Class: 0x120104
        Service Classes: Networking, Object Transfer
        Device Class: Computer, Desktop workstation
        HCI Ver: 1.1 (0x1) HCI Rev: 0x33c LMP Ver: 1.1 (0x1) LMP Subver: 0x33c
        Manufacturer: Cambridge Silicon Radio (10)
Comment 5 Joe Acosta 2007-05-15 00:41:03 EDT
good to know that I am not the only one experiencing this issue.

My linux box can see my phone, but my phone cannot see my linux box.  Funny
thing is that this used to work, I think it stopped working back in April, as
the last image I downloaded was dated April 15th 2007.  Some update between then
and now has hozed this connection.

I have yet to try to send a file, and don't really want to.  I need to get the
photos off my phone.  
Comment 6 Joe Acosta 2007-05-17 01:09:21 EDT
Here is my hciconfig.  I wonder if some udev rule is screwing this up or if
bluez is working right.  

hciconfig -a
hci0:   Type: USB
        BD Address: 00:02:72:CD:AD:5D ACL MTU: 1017:8 SCO MTU: 64:0
        UP RUNNING PSCAN 
        RX bytes:138 acl:0 sco:0 events:15 errors:0
        TX bytes:304 acl:0 sco:0 commands:15 errors:0
        Features: 0xff 0xff 0x8d 0xfe 0x9b 0xf9 0x00 0x80
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
        Link policy: RSWITCH HOLD SNIFF PARK 
        Link mode: SLAVE ACCEPT 
        Name: 'Lserver.org-0'
        Class: 0x120104
        Service Classes: Networking, Object Transfer
        Device Class: Computer, Desktop workstation
        HCI Ver: 2.0 (0x3) HCI Rev: 0x204d LMP Ver: 2.0 (0x3) LMP Subver: 0x4127
        Manufacturer: Broadcom Corporation (15)

When I attach my usb bluetooth dongle and do dmesg, I don't seen any bluez
initialization info, only:

Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
eth0: no IPv6 routers present
setitimer: wmbluecpu (pid = 2574) provided invalid timeval it_interval: tv_sec =
0 tv_usec = 1000000
usb 1-2: new full speed USB device using uhci_hcd and address 2
usb 1-2: configuration #1 chosen from 1 choice
Bluetooth: HCI USB driver ver 2.9
usbcore: registered new interface driver hci_usb
usb 1-2: USB disconnect, address 2
usb 1-2: new full speed USB device using uhci_hcd and address 3
usb 1-2: configuration #1 chosen from 1 choice
usb 1-2: USB disconnect, address 3
usb 1-1: new full speed USB device using uhci_hcd and address 4
usb 1-1: configuration #1 chosen from 1 choice

hcitool inq and hcitool scan show my phone correctly.

The phone does not find the bluetooth.



Comment 7 Bastien Nocera 2007-05-26 09:44:49 EDT
Try launching "bluetooth-properties" and make sure your computer is actually
visible.
Comment 8 Sumit Narayan 2007-05-31 10:15:03 EDT
I don't know if this helps, but do you have your Bluetooth File Sharing tool
running? You need to have that tool running to be able to recieve files from
your bluetooth device. 

I am able to transfer files from my Nokia N70 without any problem, and I have
all the FC6 updates on my machine.
Comment 9 Joe Acosta 2007-06-15 01:09:07 EDT
Okay, going into bluetooth-properties and making the device visible and
connectable by all has allowed my phone to find it.  Shouldn't this be the
default?  

1) Now each time that bluetooth service is restarted this gets reset.

2) If I set hcid.conf to auto it pairs, anything else fails with "Connecting
fail" on my phone.   

3) There seem to be no services, as my phone now says services not found.  

Wow, this used to work.
  
Comment 10 Bastien Nocera 2007-06-15 06:24:47 EDT
(In reply to comment #9)
> Okay, going into bluetooth-properties and making the device visible and
> connectable by all has allowed my phone to find it.  Shouldn't this be the
> default?  

No, otherwise any passer-by could try to connect to your computer. You can make
it visible forever by sliding the visible timeout across to the far right, it
will then "never" stop being visible.

> 1) Now each time that bluetooth service is restarted this gets reset.

That's normal, the default is secure. It will be made visible when you login and
the applet starts.

> 2) If I set hcid.conf to auto it pairs, anything else fails with "Connecting
> fail" on my phone.   

You shouldn't need to change this. Just make sure the bluetooth-applet is
running, and it will ask you for a PIN.

> 3) There seem to be no services, as my phone now says services not found.  

You need some services running on your machine, for example, the "Bluetooth File
Sharing" (in the gnome-bluetooth package, gnome-obex-server) to send photos to
your PC. This will be integrated into the applet in the near future.

> Wow, this used to work.

I don't know how this could have worked without you starting some services...

Resolving as NOTABUG, unless you can come back with some information about
specific problems. All those questions could have been answered by a post to one
of the Fedora forums.
Comment 11 Joe Acosta 2007-06-16 00:01:33 EDT
I get enough email, I don't need to join another list.  

BTW: This bug was not opened by me.  

Where is the documentation on all of this?  Gentoo does a better job it seems at
documenting these kinds of things.  Maybe if there was a fedora handbook online
like there is for gentoo, then people would not be filing bugs on things that
are not bugs, but just changes in how things used to work.  It used to work the
gentoo way now it works 'the fedora way', which is less obvious IMHO.  

Note You need to log in before you can comment on or make changes to this bug.